cURL
curl --request POST \
--url https://api.brightdata.com/datasets/snapshots/{id}/deliver \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deliver": {
"type": "webhook",
"filename": {
"template": "<string>"
},
"endpoint": "<string>"
},
"compress": false
}
'import requests
url = "https://api.brightdata.com/datasets/snapshots/{id}/deliver"
payload = {
"deliver": {
"type": "webhook",
"filename": { "template": "<string>" },
"endpoint": "<string>"
},
"compress": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deliver: {type: 'webhook', filename: {template: '<string>'}, endpoint: '<string>'},
compress: false
})
};
fetch('https://api.brightdata.com/datasets/snapshots/{id}/deliver', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"error": "未找到快照"
}Marketplace Dataset API
交付快照
交付数据集快照
POST
/
datasets
/
snapshots
/
{id}
/
deliver
cURL
授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
路径参数
快照 ID 是特定数据快照的唯一标识符,用于通过 API 触发的数据采集任务中获取结果。更多信息请参阅 Snapshot ID。
示例:
"snap_m2bxug4e2o352v1jv1"
请求体
application/json
响应
成功
交付任务 ID
此页面对您有帮助吗?
⌘I